| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Tuple.h File Reference

## Detailed Description

Header file for class : Tuple.

Date:
  2002-10-30

Author:
  Vanya Belyaev Ivan.Belyaev@itep.ru

Definition in file Tuple.h.

`#include <string>`
`#include "GaudiAlg/TupleObj.h"`

Include dependency graph for Tuple.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Tuples
## Classes
class | Tuples::Tuple
| A simple wrapper class over standard Gaudi NTuple::Tuple facility. More...
class | Tuples::TupleColumn< ITEM >
| Helper class which allows to extend the functionality of Tuple with possibility to use your own representation of complex objects. More...
## Defines
#define | GAUDIALG_TUPLE_H 1
## Functions
template<class ITEM>
TupleColumn< ITEM > | Tuples::make_column (const std::string &name, const ITEM &item)
template<class ITEM>
TupleColumn< const ITEM * > | Tuples::make_column (const std::string &name, const ITEM *item)
template<class ITEM>
TupleColumn< ITEM * > | Tuples::make_column (const std::string &name, ITEM *item)
template<class ITEM>
TupleColumn< ITEM > | Tuples::Column (const std::string &name, const ITEM &item)
template<class ITEM>
TupleColumn< const ITEM * > | Tuples::Column (const std::string &name, const ITEM *item)
template<class ITEM>
TupleColumn< ITEM * > | Tuples::Column (const std::string &name, ITEM *item)
template<class ITEM>
Tuples::Tuple & | operator<< (Tuples::Tuple &tuple, const Tuples::TupleColumn< ITEM > &item)
| helper operator to feed Tuple with the data, see Tuples::TupleColumn

## Define Documentation

#define GAUDIALG_TUPLE_H 1

Definition at line 3 of file Tuple.h.

## Function Documentation

template<class ITEM>

Tuples::Tuple& operator<< | ( | Tuples::Tuple & | tuple,
|  | const Tuples::TupleColumn< ITEM > & | item |
| ) |  |  | `[inline]`

helper operator to feed Tuple with the data, see Tuples::TupleColumn

Definition at line 345 of file Tuple.h.

References Tuples::Tuple::valid().

    00347 {
    00348   if ( !tuple.valid() ) { return tuple  ; } // no action for invalid tuple
    00349   tuple->column( item.name() , item.value () ) ;
    00350   return tuple ;
    00351 }